Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model.message.discovery
Class OutgoingSearchResponseDeviceType

    java.lang.Object
      org.teleal.cling.model.message.UpnpMessage<O>
          org.teleal.cling.model.message.OutgoingDatagramMessage<UpnpResponse>
              org.teleal.cling.model.message.discovery.OutgoingSearchResponse
                  org.teleal.cling.model.message.discovery.OutgoingSearchResponseDeviceType

    public class OutgoingSearchResponseDeviceType

extends OutgoingSearchResponse

Nested Class Summary

Nested classes/interfaces inherited from class org.teleal.cling.model.message.UpnpMessage
`UpnpMessage.BodyType`

Constructor Summary
`OutgoingSearchResponseDeviceType(IncomingDatagramMessage request, int localStreamPort, LocalDevice device)`

Method Summary

Methods inherited from class org.teleal.cling.model.message.OutgoingDatagramMessage
`getDestinationAddress, getDestinationPort`

Methods inherited from class org.teleal.cling.model.message.UpnpMessage
`getBody, getBodyBytes, getBodyString, getBodyType, getHeaders, getOperation, getUdaMajorVersion, getUdaMinorVersion, hasBody, logHeaders, setBody, setBodyType, setHeaders, setOperation, setUdaMajorVersion, setUdaMinorVersion, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OutgoingSearchResponseDeviceType

    public OutgoingSearchResponseDeviceType(IncomingDatagramMessage request,
                                            int localStreamPort,
                                            LocalDevice device)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.